Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - gstreamer0.10-bad-plugins

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: gstreamer0.10-bad-plugins 0.10.23-24

Git Clone URL: https://aur-dev.archlinux.org/gstreamer0.10-bad.git (read-only)
Package Base: gstreamer0.10-bad
Description: GStreamer Multimedia Framework Bad Plugins (gst-plugins-bad)
Upstream URL: http://gstreamer.freedesktop.org/
Licenses: GPL, LGPL
Groups: gstreamer0.10-plugins
Submitter: yurikoles
Maintainer: yurikoles
Last Packager: yurikoles
Votes: 4
Popularity: 3.505815
First Submitted: 2017-01-26 13:46
Last Updated: 2017-01-31 14:55

Required by (21)

Sources (7)

Latest Comments

1 2 Next › Last »

mokkurkalve commented on 2017-02-04 08:49

Build fails thus:

(...snip)
/usr/include/glib-2.0/glib/deprecated/gthread.h:277:17: note: declared here
GMutex * g_mutex_new (void);
^~~~~~~~~~~
rsnparsetter.c: In function 'rsn_parsetter_finalize':
rsnparsetter.c:113:3: warning: 'g_mutex_free' is deprecated [-Wdeprecated-declarations]
g_mutex_free (parset->caps_lock);
^~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib.h:107:0,
from /usr/include/gstreamer-0.10/gst/gst.h:27,
from rsnparsetter.c:9:
/usr/include/glib-2.0/glib/deprecated/gthread.h:279:17: note: declared here
void g_mutex_free (GMutex *mutex);
^~~~~~~~~~~~
CC libresindvd_la-rsnwrappedbuffer.lo
make[3]: Leaving directory '/tmp/byggeplass/gstreamer0.10-bad/src/gst-plugins-bad/ext/gsettings'
CCLD libgstcog.la
CCLD libresindvd.la
make[4]: Leaving directory '/tmp/byggeplass/gstreamer0.10-bad/src/gst-plugins-bad/ext/cog'
make[3]: Leaving directory '/tmp/byggeplass/gstreamer0.10-bad/src/gst-plugins-bad/ext/cog'
make[3]: Leaving directory '/tmp/byggeplass/gstreamer0.10-bad/src/gst-plugins-bad/ext/resindvd'
make[2]: Leaving directory '/tmp/byggeplass/gstreamer0.10-bad/src/gst-plugins-bad/ext'
make[1]: *** [Makefile:835: all-recursive] Error 1
make[1]: Leaving directory '/tmp/byggeplass/gstreamer0.10-bad/src/gst-plugins-bad'
make: *** [Makefile:762: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build gstreamer0.10-bad.
==> Restart building gstreamer0.10-bad ? [y/N]

Trollwut commented on 2017-02-03 21:41

@whaler: I removed `flite` and then it built for me. After that, I reinstalled flite.

whaler commented on 2017-02-02 22:42

Hi, I am still getting this error (and the same goes for gstreamer0.10-bad-plugins):
/usr/bin/ld: cannot find -lflite_cmu_us_kal
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:742: libgstflite.la] Error 1
(etc).

Could it have something to do with the package "flite", which, however, _is_ installed on my system?

Ergo commented on 2017-02-02 15:52

Hi guys, I am getting this error when installing the plugin ().
------------------------------------
CC libgstflite_la-gstflite.lo
CC libgstflite_la-gstflitetestsrc.lo
CCLD libgstflite.la
/usr/bin/ld: cannot find -lflite_cmu_us_kal
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:742: libgstflite.la] Error 1
------------------------------------
It looks like a dependency problem or a generated file, but I can't figure out where is this missing library coming from.
Any help/suggestion??
Best

ector commented on 2017-02-02 10:26

obarun
download musicbrainz
https://ufile.io/216fa1

obarun commented on 2017-02-02 05:25

please, resolve the dependancy trouble with musicbrainz. This package doesn't exist anymore.
Thanks

Osly commented on 2017-02-02 00:10

ector: I thought about what you suggested yesterday., but wouldn't that get rid of https altogether? not even ssh during the transmission. I did compile, but like I mentioned earlier.

ector commented on 2017-02-01 15:05

#Osly
you must change your PKGBUILD from
git+https://gitlab.com/gstreamer-sdk/$_pkgname.git#commit=57569a4854a0f2d14ef19a8264a4ae9a7a1d1125
to
git://anongit.freedesktop.org/gstreamer-sdk/gst-plugins-bad#commit=57569a4854a0f2d14ef19a8264a4ae9a7a1d1125

Osly commented on 2017-02-01 14:13

yurikoles: thanks for the pointer to replace the source, but I couldn't compile with the mirror you provided.

it should have been anongit.freedesktop.org/git/gstreamer-sdk/gst-plugins-bad#commit=57569a4854a0f2d14ef19a8264a4ae9a7a1d1125

glitsj16 commented on 2017-02-01 10:39

Thanks for offering the gstreamer0.10 packages. Now that building with libmusicbrainz5 is working, shouldn't the depends for gstreamer0.10-bad-plugins be adjusted in the PKGBUILD? As is, it still references 'musicbrainz' (line 63).